/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.registry.overlay.exception;

import org.ow2.petals.microkernel.api.communication.sharedarea.exception.SharedAreaException;

/**
 * The configuration contains invalid credentials to connect to the Petals Registry Overlay.
 * 
 * @author Christophe DENEUX - Linagora
 * @deprecated To replace by AuthenticationException of Petals Registry Client API when the Registry Overlay Client will
 *             use it
 */
@Deprecated
public class AuthenticationException extends SharedAreaException {

    /**
     * Serial Version UID
     */
    private static final long serialVersionUID = 7229080070437456442L;
    
    private final static String MESSAGE = "Invalid credentials";

    public AuthenticationException() {
        super(MESSAGE);
    }

}
